Package weka.core.xml

# Class MethodHandler

java.lang.Object
weka.core.xml.MethodHandler

All Implemented Interfaces:
  `RevisionHandler`

public class MethodHandler extends Object implements RevisionHandler
This class handles relationships between display names of properties (or classes) and Methods that are associated with them.

Version:
  $Revision: 10203 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodHandler()`
  initializes the handler

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Class<?> c, Method method)`
  adds the specified method for the given class to its internal list.
  `void`
  `add(String displayName, Method method)`
  adds the specified method for the property with the given displayname to its internal list.
  `void`
  `clear()`
  removes all mappings
  `boolean`
  `contains(Class<?> c)`
  checks whether a method is stored for the given class
  `boolean`
  `contains(String displayName)`
  checks whether a method is stored for the given property
  `Method`
  `get(Class<?> c)`
  returns the stored method for the given class
  `Method`
  `get(String displayName)`
  returns the stored method for the given property
  `String`
  `getRevision()`
  Returns the revision string.
  `Enumeration<Object>`
  `keys()`
  returns an enumeration over all currently stored custom methods, i.e.
  `boolean`
  `remove(Class<?> c)`
  removes the method for the specified class from its internal list.
  `boolean`
  `remove(String displayName)`
  removes the method for the property specified by the display name from its internal list.
  `int`
  `size()`
  returns the number of currently stored Methods
  `String`
  `toString()`
  returns the internal Hashtable (propety/class - method relationship) in a string representation

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MethodHandler

    public MethodHandler()
    initializes the handler

- ## Method Details

  - ### keys

    public Enumeration<Object> keys()
    returns an enumeration over all currently stored custom methods, i.e. it returns the display names/classes in the enumeration.
    Returns:
      the currently stored methods
    See Also:
      - `m_Methods`

  - ### add

    public void add(String displayName, Method method)
    adds the specified method for the property with the given displayname to its internal list.
    Parameters:
      `displayName` - the display name of the property to handle manually
      `method` - the method, which will be invoked by reflection to handle the property manually
    See Also:
      - `m_Methods`

  - ### add

    public void add(Class<?> c, Method method)
    adds the specified method for the given class to its internal list.
    Parameters:
      `c` - the class to handle manually
      `method` - the method, which will be invoked by reflection to handle the property manually
    See Also:
      - `m_Methods`

  - ### remove

    public boolean remove(String displayName)
    removes the method for the property specified by the display name from its internal list.
    Parameters:
      `displayName` - the display name of the propery to remove the custom method for
    Returns:
      whether the method was stored in the list at all
    See Also:
      - `m_Methods`

  - ### remove

    public boolean remove(Class<?> c)
    removes the method for the specified class from its internal list.
    Parameters:
      `c` - the class to remove the custom method for
    Returns:
      whether the method was stored in the list at all
    See Also:
      - `m_Methods`

  - ### contains

    public boolean contains(String displayName)
    checks whether a method is stored for the given property
    Parameters:
      `displayName` - the display name of the property to check for a method
    Returns:
      whether a method is currently stored
    See Also:
      - `m_Methods`

  - ### contains

    public boolean contains(Class<?> c)
    checks whether a method is stored for the given class
    Parameters:
      `c` - the class to check for a method
    Returns:
      whether a method is currently stored
    See Also:
      - `m_Methods`

  - ### get

    public Method get(String displayName)
    returns the stored method for the given property
    Parameters:
      `displayName` - the display name of the property to retrieve the method for
    Returns:
      the method associated with the display name, can be `null`
    See Also:
      - `m_Methods`

  - ### get

    public Method get(Class<?> c)
    returns the stored method for the given class
    Parameters:
      `c` - the class to retrieve the method for
    Returns:
      the method associated with the class, can be `null`
    See Also:
      - `m_Methods`

  - ### size

    public int size()
    returns the number of currently stored Methods
    Returns:
      the nummber of methods

  - ### clear

    public void clear()
    removes all mappings

  - ### toString

    public String toString()
    returns the internal Hashtable (propety/class - method relationship) in a string representation
    Overrides:
      `toString` in class `Object`
    Returns:
      the object as string

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Returns:
      the revision